package com.example.application.views.tickets;

import com.example.application.views.MainLayout;
import com.vaadin.flow.component.html.Div;
import com.vaadin.flow.component.html.H2;
import com.vaadin.flow.component.orderedlayout.VerticalLayout;
import com.vaadin.flow.router.Route;
import com.vaadin.flow.server.auth.AnonymousAllowed;

@Route(value="mytickets", layout = MainLayout.class)
@AnonymousAllowed
public class MisTicketsView extends VerticalLayout {

    public MisTicketsView() {
        setSizeFull();
        Div banner = new Div();
        banner.setText("Aqui es donde el usuario vera sus tickets creados");
        banner.getStyle()
                .set("display", "flex")
                .set("justify-content", "center")
                .set("align-items", "center")
                .set("height", "100%");

        add(new H2("Mis tickets"), banner);
    }
}
